package jrummikub.view;

import java.util.UUID;

import jrummikub.model.GameSettings;
import jrummikub.util.IEvent;
import jrummikub.util.IEvent1;

public interface IGameListPanel {
	public static class GameData {
		private UUID gameID;
		private String host;
		private GameSettings gameSettings;

		public GameData(UUID gameID, GameSettings settings) {
			this(gameID, settings, null);
		}

		public GameData(UUID gameID, GameSettings settings, String host) {
			this.gameID = gameID;
			this.gameSettings = settings;
			this.host = host;

		}

		public void setGameSettings(GameSettings settings) {
			gameSettings = settings;
		}

		public GameSettings getGameSettings() {
			return gameSettings;
		}

		public String getHost() {
			return host;
		}

		public UUID getGameID() {
			return gameID;
		}
	}

	public IEvent getOpenNewGameEvent();

	public IEvent getCancelEvent();

	public IEvent1<GameData> getJoinEvent();

	public void removeGame(GameData game);

	public void addGame(GameData game);

	public void setChannelName(String name);
}
